## How to contribute to MaveTools

All contributors should familiarize themselves with the [Code of Conduct](https://github.com/VariantEffect/mavetools/CODE_OF_CONDUCT.md).

#### **Reporting a bug**

* Check and see if the bug has already been reported by searching on GitHub under [Issues](https://github.com/varianteffect/mavetools/issues).

* If you're unable to find an open issue addressing the problem, [open a new issue](https://github.com/varianteffect/mavetools/issues/new). Be sure to include a **title and clear description** with as much relevant information as possible. If you are having a problem uploading data, include a **sample of your dataset**.

#### **Contributing patches to fix bugs or add new features**

* Open a new GitHub pull request with the patch.

* Ensure the PR description clearly describes the problem and solution. Link to any relevant issues in the [Issue Tracker](https://github.com/varianteffect/mavetools/issues) if applicable.

* Include documentation and test cases with your new feature.

* Please be ready to respond to feedback and questions from the maintainers in the [pull request](https://github.com/VariantEffect/mavetools/pulls).

#### **Suggesting or requesting new features**

* Check and see if the feature has already been requested by searching on GitHub under [Issues](https://github.com/varianteffect/mavetools/issues).

* If you're unable to find an open issue requesting the feature, [open a new issue](https://github.com/varianteffect/mavetools/issues/new). Be sure to include a **title and clear description** with as much relevant information as possible.

* If you have a code example for the feature you would like to see added, include a link to a Jupyter notebook file showing an example of its use or put a code sample directly in the issue. Please note that suggestions with no accompanying code are much less likely to be incorporated promptly.

#### **Contributing to the documentation**

* Open a new GitHub pull request with your documentation changes. The MaveTools documentation is written in reStructuredText and built using [Sphinx](https://www.sphinx-doc.org/).

* Summarize the documentation changes in the PR description.

* Please be mindful of the size of images (such as screenshots) that you want to include.

Thanks you for reading!
